DO
$$
    DECLARE
        _path character varying(256) := 'patch-2025_12_29-FileDlpProcessing-InitiatorUserId';
    BEGIN
        IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Path" = _path) THEN
            RETURN;
        END IF;

        IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Build" >= 15951) THEN
            RETURN;
        END IF;

        BEGIN
            ALTER TABLE public."FileDlpProcessing"
                ADD COLUMN IF NOT EXISTS "InitiatorUserId" BIGINT NULL;

            INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);
        EXCEPTION
            WHEN OTHERS THEN
                RAISE NOTICE '[ERR] %: %', _path, SQLERRM;
        END;
    END;
$$;
